---
layout: default
---

<article class="h-entry row no-gutters justify-content-center" itemscope itemtype="http://schema.org/Article">
  <div class="col-12 mb-3 text-center">
    {%- if page.video -%}
      {%- include_cached video.html video=page.video -%}
    {%- elsif page.image.path -%}
      {%- include_cached picture.html image=page.image default_description=page.title height='50vh' width='auto' cover=false -%}
    {%- endif -%}
  </div>

  <header class="col-10 col-md-8">
    <h1 class="p-name f-4 f-md-h1" itemprop="name headline">{{ page.title | default: '' | escape }}</h1>

    {%- if page.description -%}
      <p class="lead p-summary" itemprop="description">{{ page.description | default: '' | escape }}</p>
    {%- endif -%}

    <p>
      <time class="dt-published" datetime="{{ page.date | date_to_xmlschema }}" itemprop="datePublished">
        {%- assign date_format = site.i18n.date.format | default: "%b %-d, %Y" -%}
        {{ page.date | default: site.date | date_local: date_format }}
      </time>

      {%- for author in page.author -%}
        <span itemprop="author" itemscope itemtype="http://schema.org/Person">
          <span class="p-author h-card" itemprop="name">
            {{ author | default: '' | escape }}
          </span>
        </span>
      {%- endfor -%}
    </p>

    {%- unless page.categories == empty -%}
      <p>
        {% for category in page.categories %}
          <a class="badge badge-primary white h-category" href="{{ category.url }}">{{ category.title }}</a>
        {% endfor %}
      </p>
    {%- endunless -%}

    {%- include share_box.html url=page.url title=page.title description=page.description -%}

    {% if page.link %}
      <a class="btn btn-primary" href="{{ page.link }}" target="_blank" rel="noopener">{{ site.i18n.biblioteca.link }}</a>
    {% endif %}

    {% if page.file.path %}
      <a
        class="btn btn-primary"
        href="{{ page.file.path }}"
        download="{{ page.title }}{{ page.file.path | extname }}">{{ site.i18n.biblioteca.file }}</a>
    {% endif %}
  </header>

  <div class="e-content col-10 col-md-8 content" itemprop="articleBody">
    {{ content | replace: '<img ', '<img loading="lazy" ' | replace: '<iframe ', '<iframe loading="lazy" ' }}
  </div>

  <footer class="col-10">
    <a class="u-url" itemprop="url" href="{{ page.url }}" hidden>
      {{ site.url }}/{{ page.url }}
    </a>

    {%- if page.uuid -%}
      <span hidden itemprop="identifier">{{ page.uuid }}</span>
    {%- endif -%}

    {%- if page.license.url -%}
      <p itemprop="license" itemtype="http://schema.org/CreativeWork">
        <a rel="license" itemprop="url" href="{{ page.license.url }}">
          <span itemprop="articleBody">
            {{ page.license.description }}
          </span>
        </a>
      </p>
    {%- endif -%}

    <meta
      itemprop="keywords"
      content="{{ page.tags | map: 'title' | join: ',' }},{{ page.categories | map: 'title' | join: ',' }}" />

    <p>
      {%- for tag in page.tags -%}
        <a class="h-category badge badge-primary" href="{{ tag.url }}">{{ tag.title }}</a>
      {%- endfor -%}
    </p>
  </footer>
</article>
